List rated TV shows
curl --request GET \
--url 'https://api.themoviedb.org/3/account/{{account_id}}/rated/tv' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/account/{{account_id}}/rated/tv"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/account/{{account_id}}/rated/tv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/2Erj4Oav9EHAtqLI354VM7ULDqu.jpg",
"first_air_date": "2018-06-20",
"genre_ids": [
37,
18
],
"id": 73586,
"name": "Yellowstone",
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Yellowstone",
"overview": "Follow the violent world of the Dutton family, who controls the largest contiguous ranch in the United States. Led by their patriarch John Dutton, the family defends their property against constant attack by land developers, an Indian reservation, and America’s first National Park.",
"popularity": 1775.759,
"poster_path": "/s4QRRYc1V2e68Qy9Wel9MI8fhRP.jpg",
"rating": 7,
"vote_average": 8.232,
"vote_count": 2436
}
],
"total_pages": 1,
"total_results": 1
}Account
List rated TV shows
This endpoint allows you to get a user’s list of rated TV shows.
GET
/
account
/
{account_id}
/
rated
/
tv
List rated TV shows
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
language format of the details you want to get.
Example:
"en-US"
what page the query belongs
Example:
"1"
filter the query by ascending or descending order
Example:
"created_at.asc"
filter by the user session ID
Example:
"string"
Response
200 - application/json
Rated TV
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/2Erj4Oav9EHAtqLI354VM7ULDqu.jpg",
"first_air_date": "2018-06-20",
"genre_ids": [37, 18],
"id": 73586,
"name": "Yellowstone",
"origin_country": ["US"],
"original_language": "en",
"original_name": "Yellowstone",
"overview": "Follow the violent world of the Dutton family, who controls the largest contiguous ranch in the United States. Led by their patriarch John Dutton, the family defends their property against constant attack by land developers, an Indian reservation, and America’s first National Park.",
"popularity": 1775.759,
"poster_path": "/s4QRRYc1V2e68Qy9Wel9MI8fhRP.jpg",
"rating": 7,
"vote_average": 8.232,
"vote_count": 2436
}
]
Example:
1
Example:
1
⌘I